%define upstream_name	 Boulder
%define upstream_version 1.30

%define _requires_exceptions perl(LabBase)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:	An API for hierarchical tag/value structures
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/Boulder/
Source0:	http://search.cpan.org/CPAN/modules/by-module/Boulder/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
An API for hierarchical tag/value structures.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog
%{perl_vendorlib}/%{upstream_name}
%{perl_vendorlib}/%{upstream_name}.pod
%{perl_vendorlib}/Stone.pm
%{perl_vendorlib}/Stone
%{_mandir}/man3/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.300.0-3.mga4
+ Revision: 509325
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.300.0-2.mga3
+ Revision: 363385
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.300.0-1.mga1
+ Revision: 25861
- mageia rebuild
- imported package perl-Boulder


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 1.300.0-1mdv2010.0
+ Revision: 408915
- rebuild using %%perl_convert_version

* Sun Jan 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.30-6mdv2009.1
+ Revision: 333473
- fix dependencies

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.30-5mdv2009.0
+ Revision: 255474
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.30-3mdv2008.1
+ Revision: 136899
- spec cleanup

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.30-2mdv2008.1
+ Revision: 136889
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.30-1mdv2007.0
+ Revision: 73340
- import perl-Boulder-1.30-1mdv2007.0

* Fri Jul 07 2006 Buchan Milne <bgmilne@obsidian.co.za> 1.30-1mdv2007.0
- first Mandriva package

